import { StatsContext } from '@segment/actions-core';
import { Payload } from '../generated-types';
import { HSPropFieldType, HSPropType, HSPropTypeFieldType, CachableSchema, SchemaDiff } from '../types';
export declare function objectSchema(payloads: Payload[], objectType: string): CachableSchema;
export declare function formatHS(type: HSPropType, fieldType: HSPropFieldType): HSPropTypeFieldType | undefined;
export declare function compareSchemas(schema1: CachableSchema, schema2: CachableSchema | undefined, statsContext?: StatsContext): SchemaDiff;
